Announcement message skelton.
authorJunio C Hamano <junkio@cox.net>
Sun, 8 Jan 2006 22:26:28 +0000 (14:26 -0800)
committerJunio C Hamano <junkio@cox.net>
Sun, 8 Jan 2006 22:26:28 +0000 (14:26 -0800)
Signed-off-by: Junio C Hamano <junkio@cox.net>
Announce [new file with mode: 0755]

diff --git a/Announce b/Announce
new file mode 100755 (executable)
index 0000000..4844128
--- /dev/null
+++ b/Announce
@@ -0,0 +1,39 @@
+#!/bin/sh
+# Announcement message skelton
+#
+branch=${1?branch}
+previous=${2?previous}
+
+relname=$(git describe "$branch") &&
+vername=$(expr "$relname" : 'v\(.*\)') || exit $?
+
+git rev-parse --verify "$previous" >/dev/null || exit $?
+
+case "$branch" in
+maint)
+       kind="maintenance" ;;
+master)
+       kind="feature" ;;
+esac
+
+cat <<EOF
+The latest $kind release GIT $vername is available at the usual places:
+
+       http://www.kernel.org/pub/software/scm/git/
+
+       git-$vername.tar.{gz,bz2}                       (tarball)
+       RPMS/\$arch/git-*-$vername-1.\$arch.rpm (RPM)
+
+
+BLURB HERE
+BLURB HERE
+BLURB HERE
+
+----------------------------------------------------------------
+
+Changes since $previous are as follows:
+
+EOF
+
+git log --no-merges "$previous".."$branch" | git shortlog
+